Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.editor
Class AbleEditor

    java.lang.Object
      com.ibm.able.editor.AbleEditor

public class AbleEditor
extends java.lang.Object

This class is the main window for the Able design time editor.

Field Summary
`static int` | `ALL_CONNECTIONS` Connection type: All.
`static int` | `BUFFER_CONNECTION` Connection type: Buffer.
`static java.lang.String` | `CAT_AGENTS` Category type: Agents.
`static java.lang.String` | `CAT_AUTOTUNE` Category type: Autotune.
`static java.lang.String` | `CAT_CONVERSATION` Category type: Conversation.
`static java.lang.String` | `CAT_DATA` Category type: Data.
`static java.lang.String` | `CAT_LEARNING` Category type: Learning.
`static java.lang.String` | `CAT_NONE` Category type: None.
`static java.lang.Object` | `CAT_PETRI` Category type: PetriNet.
`static java.lang.String` | `CAT_PLATFORM` Category type: Platform.
`static java.lang.String` | `CAT_RULES` Category type: Rules.
`static java.lang.String` | `CAT_SAMPLES` Category type: Samples.
`static int` | `CENTER` Slot position: Center.
`static int` | `EVENT_CONNECTION` Connection type: Event.
`static int` | `LEFT` Slot position: Left.
`static int` | `LEFTCENTER` Slot position: LeftCenter.
`protected com.ibm.logging.TextAreaHandler` | `messageTextAreaHandler`
`static AbleGuiPreferences` | `Preferences` The current set of GUI preferences.
`static int` | `PROPERTY_CONNECTION` Connection type: Property.
`static int` | `RIGHT` Slot position: Right.
`static int` | `RIGHTCENTER` Slot position: RightCenter.
`protected com.ibm.logging.TextAreaHandler` | `traceTextAreaHandler`

Constructor Summary
`AbleEditor()` Construct a new AbleEditor frame and display it.

Method Summary
`static void` | `launch(AbleEditorFrame frame)` Launch an AbleEditor frame.
`static void` | `main(java.lang.String[] args)` The main method used to run the editor application.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### traceTextAreaHandler

    protected transient com.ibm.logging.TextAreaHandler traceTextAreaHandler

### messageTextAreaHandler

    protected transient com.ibm.logging.TextAreaHandler messageTextAreaHandler

### Preferences

    public static final AbleGuiPreferences Preferences

  The current set of GUI preferences.

### CAT_NONE

    public static final java.lang.String CAT_NONE

  Category type: None.

  See Also:
    Constant Field Values

### CAT_DATA

    public static final java.lang.String CAT_DATA

  Category type: Data.

  See Also:
    Constant Field Values

### CAT_LEARNING

    public static final java.lang.String CAT_LEARNING

  Category type: Learning.

  See Also:
    Constant Field Values

### CAT_RULES

    public static final java.lang.String CAT_RULES

  Category type: Rules.

  See Also:
    Constant Field Values

### CAT_AGENTS

    public static final java.lang.String CAT_AGENTS

  Category type: Agents.

  See Also:
    Constant Field Values

### CAT_PETRI

    public static final java.lang.Object CAT_PETRI

  Category type: PetriNet.

### CAT_PLATFORM

    public static final java.lang.String CAT_PLATFORM

  Category type: Platform.

  See Also:
    Constant Field Values

### CAT_SAMPLES

    public static final java.lang.String CAT_SAMPLES

  Category type: Samples.

  See Also:
    Constant Field Values

### CAT_CONVERSATION

    public static final java.lang.String CAT_CONVERSATION

  Category type: Conversation.

  See Also:
    Constant Field Values

### CAT_AUTOTUNE

    public static final java.lang.String CAT_AUTOTUNE

  Category type: Autotune.

  See Also:
    Constant Field Values

### LEFT

    public static final int LEFT

  Slot position: Left.

  See Also:
    Constant Field Values

### LEFTCENTER

    public static final int LEFTCENTER

  Slot position: LeftCenter.

  See Also:
    Constant Field Values

### CENTER

    public static final int CENTER

  Slot position: Center.

  See Also:
    Constant Field Values

### RIGHTCENTER

    public static final int RIGHTCENTER

  Slot position: RightCenter.

  See Also:
    Constant Field Values

### RIGHT

    public static final int RIGHT

  Slot position: Right.

  See Also:
    Constant Field Values

### BUFFER_CONNECTION

    public static final int BUFFER_CONNECTION

  Connection type: Buffer.

  See Also:
    Constant Field Values

### PROPERTY_CONNECTION

    public static final int PROPERTY_CONNECTION

  Connection type: Property.

  See Also:
    Constant Field Values

### EVENT_CONNECTION

    public static final int EVENT_CONNECTION

  Connection type: Event.

  See Also:
    Constant Field Values

### ALL_CONNECTIONS

    public static final int ALL_CONNECTIONS

  Connection type: All.

  See Also:
    Constant Field Values

Constructor Detail

### AbleEditor

    public AbleEditor()
               throws java.lang.Exception

  Construct a new AbleEditor frame and display it.

Method Detail

### launch

    public static void launch(AbleEditorFrame frame)
                       throws java.lang.ClassNotFoundException,
                              java.lang.IllegalAccessException,
                              java.lang.InstantiationException

  Launch an AbleEditor frame. The caller should dispose of the frame, and may wish to exit the JVM at that time. `myFrame.addWindowListener(new WindowAdapter() { public void windowClosed(WindowEvent e) { myFrame.dispose(); System.exit(0); } });`

  Throws:
    `java.lang.ClassNotFoundException`
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`

### main

    public static void main(java.lang.String[] args)

  The main method used to run the editor application.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005